Bug 995975 (CVE-2013-4232)

Summary: CVE-2013-4232 libtiff (tiff2pdf): use-after-free in t2p_readwrite_pdf_image()
Product: [Other] Security Response Reporter: Murray McAllister <mmcallis>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ejb, erik-fedora, gbarros, jkurik, phracek, vdanen, vkrizan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130801,reported=20130807,source=researcher,cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,fedora-all/libtiff=affected,fedora-all/mingw-libtiff=affected,rhel-6/libtiff=affected,rhel-5/libtiff=affected,rhel-7/libtiff=notaffected,cwe=CWE-416[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-27 14:27:06 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 996827, 996832, 996833, 1063460, 1063461, 1063464, 1063465    
Bug Blocks: 994449    

Description Murray McAllister 2013-08-12 02:05:29 EDT
Pedro Ribeiro discovered a use-after-free flaw in the t2p_readwrite_pdf_image() function in tiff2pdf, a tool for converting a TIFF image to a PDF document. A remote attacker could provide a specially-crafted TIFF file that, when processed by tiff2pdf, would cause tiff2pdf to crash or, potentially, execute arbitrary code with the privileges of the user running tiff2pdf.

References:

http://www.asmail.be/msg0055359936.html
http://www.openwall.com/lists/oss-security/2013/08/08/6
Comment 1 Huzaifa S. Sidhpurwala 2013-08-13 00:48:07 EDT
Upstream bug: http://bugzilla.maptools.org/show_bug.cgi?id=2449
Proposed patch: http://bugzilla.maptools.org/attachment.cgi?id=513&action=diff
Comment 2 Huzaifa S. Sidhpurwala 2013-08-13 00:48:59 EDT
This issue affects the version of libtiff as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the version of libtiff as shipped with Fedora 18 and Fedora 19.
Comment 4 Huzaifa S. Sidhpurwala 2013-08-14 01:34:04 EDT
This issue has been addressed upstream via the following cvs commit:

revision 1.72
date: 2013-08-14 05:11:37 +0000;  author: fwarmerdam;  state: Exp;  lines: +3 -2;  commitid: MfRqD1oHXFa0En1x;
ensure return after memory allocation failure (#2449, CVS-2013-4232)
Comment 5 Huzaifa S. Sidhpurwala 2013-08-14 01:48:18 EDT
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 996832]
Comment 6 Huzaifa S. Sidhpurwala 2013-08-14 01:48:23 EDT
Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 996833]
Comment 8 Fedora Update System 2013-08-17 20:31:12 EDT
libtiff-4.0.3-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-08-17 20:38:40 EDT
libtiff-4.0.3-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Jay Berkenbilt 2013-08-22 11:37:45 EDT
(In reply to Huzaifa S. Sidhpurwala from comment #4)
> This issue has been addressed upstream via the following cvs commit:
> 
> revision 1.72
> date: 2013-08-14 05:11:37 +0000;  author: fwarmerdam;  state: Exp;  lines:
> +3 -2;  commitid: MfRqD1oHXFa0En1x;
> ensure return after memory allocation failure (#2449, CVS-2013-4232)

This is very useful information, especially to people who maintain tiff in other distributions.  It would be even more helpful if you would include the file or list of files since, with CVS, there's no quick way to find that information.  Yes, you can grep for the commitid in the logs, but it's not like git, svn, or any other modern VCS where a changeset is a first-class object.  Thanks!

(I maintain tiff for debian and admit to often benefiting from the excellent work of RedHat people on identifying, patching, and backporting security issues.)
Comment 13 errata-xmlrpc 2014-02-27 13:34:18 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0223 https://rhn.redhat.com/errata/RHSA-2014-0223.html
Comment 14 errata-xmlrpc 2014-02-27 13:35:41 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0222 https://rhn.redhat.com/errata/RHSA-2014-0222.html
Comment 15 Vincent Danen 2014-02-27 14:27:06 EST
Statement:

(none)